[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TDrawingStyle

Defines drawing styles for images.

## Declaration

Source position: imglist.pp line 110

`type TDrawingStyle = (`
`dsFocus,` |  | Draws the image background using its focused color.
`dsSelected,` |  | Draws the image background using its selected color.
`dsNormal,` |  | Draw using BkColor for the background, or transparent if BkColor is clNone.
`dsTransparent` |  | Always draw transparently, ignore BkColor and BlendColor.
`);`

## Description

TDrawingStyle is an enumerated type with values that control the drawing style used for images in TCustomImageList. TDrawingStyle affects the blending of the image with its background color when a mask is used in the image. These values have no significance when a mask is not present in the image. TDrawingStyle corresponds to the style values used in the WIN ImageList_Draw API.